2012-09-11 06:33:05

by Bala Shanmugam

[permalink] [raw]
Subject: [PATCH] compat-drivers: Use GIT_TREE variable.

In gen-stable-release.sh stable git tree path is hardcoded.
Use GIT_TREE environment variable if specified.

Signed-off-by: Bala Shanmugam <[email protected]>
---
scripts/gen-stable-release.sh | 17 ++++++++++++++++-
1 file changed, 16 insertions(+), 1 deletion(-)

diff --git a/scripts/gen-stable-release.sh b/scripts/gen-stable-release.sh
index 5a7dc5f..fee1ac7 100755
--- a/scripts/gen-stable-release.sh
+++ b/scripts/gen-stable-release.sh
@@ -21,6 +21,7 @@ RED="\033[31m"
PURPLE="\033[35m"
CYAN="\033[36m"
UNDERLINE="\033[02m"
+GIT_STABLE_URL="git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git"

# Note that this tree may not have the latest RC stuff, so you should also add
# Linus' tree as a remote and fetch those objects if you want to make an RC
@@ -47,7 +48,21 @@ function usage()
UPDATE_ARGS=""
POSTFIX_RELEASE_TAG="-"

-export GIT_TREE=$HOME/$ALL_STABLE_TREE
+if [ -z $GIT_TREE ]; then
+ export GIT_TREE=$HOME/$ALL_STABLE_TREE
+ if [ ! -d $GIT_TREE ]; then
+ echo "Please tell me where your linux-stable git tree is."
+ echo "You can do this by exporting its location as follows:"
+ echo
+ echo " export GIT_TREE=/home/$USER/linux-stable/"
+ echo
+ echo "If you do not have one you can clone the repository:"
+ echo " git clone $GIT_STABLE_URL"
+ exit 1
+ fi
+else
+ echo "You said to use git tree at: $GIT_TREE for linux-stable"
+fi
COMPAT_WIRELESS_DIR=$(pwd)
COMPAT_WIRELESS_BRANCH=$(git branch | grep \* | awk '{print $2}')

--
1.7.11.4



2012-09-13 19:09:49

by Luis Chamberlain

[permalink] [raw]
Subject: Re: [PATCH] compat-drivers: Use GIT_TREE variable.

On Mon, Sep 10, 2012 at 11:29 PM, Bala Shanmugam
<[email protected]> wrote:
> In gen-stable-release.sh stable git tree path is hardcoded.
> Use GIT_TREE environment variable if specified.
>
> Signed-off-by: Bala Shanmugam <[email protected]>

Thanks, applied and pushed! In the future please subscribe and use the
new dedicated mailing list for the project: [email protected].
For more details:

https://backports.wiki.kernel.org/

Luis